BurlapExporter (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.remoting.caucho

## Class BurlapExporter

- java.lang.Object
- - org.springframework.remoting.support.RemotingSupport
  - - org.springframework.remoting.support.RemoteExporter
    - - org.springframework.remoting.caucho.BurlapExporter

- All Implemented Interfaces:
    Aware, BeanClassLoaderAware, InitializingBean
  Direct Known Subclasses:
    BurlapServiceExporter, SimpleBurlapServiceExporter

      public class BurlapExporter
      extends RemoteExporter
      implements InitializingBean

  General stream-based protocol exporter for a Burlap endpoint.

  Burlap is a slim, XML-based RPC protocol. For information on Burlap, see the Burlap website. This exporter requires Burlap 3.x.

  Since:
    2.5.1
  Author:
    Juergen Hoeller
  See Also:
    `invoke(java.io.InputStream, java.io.OutputStream)`, `BurlapServiceExporter`, `SimpleBurlapServiceExporter`

- - ### Field Summary

    - ### Fields inherited from class org.springframework.remoting.support.RemotingSupport

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BurlapExporter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterPropertiesSet()` Invoked by a BeanFactory after it has set all bean properties supplied (and satisfied BeanFactoryAware and ApplicationContextAware).
    `void` | `invoke(InputStream inputStream, OutputStream outputStream)` Perform an invocation on the exported object.
    `void` | `prepare()` Initialize this service exporter.

    - ### Methods inherited from class org.springframework.remoting.support.RemoteExporter

      `checkService, checkServiceInterface, getExporterName, getProxyForService, getService, getServiceInterface, setInterceptors, setRegisterTraceInterceptor, setService, setServiceInterface`

    - ### Methods inherited from class org.springframework.remoting.support.RemotingSupport

      `getBeanClassLoader, overrideThreadContextClassLoader, resetThreadContextClassLoader, setBeanClassLoader`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BurlapExporter

          public BurlapExporter()

  - ### Method Detail

    - #### afterPropertiesSet

          public void afterPropertiesSet()

      Description copied from interface: `InitializingBean`
      Invoked by a BeanFactory after it has set all bean properties supplied (and satisfied BeanFactoryAware and ApplicationContextAware).

      This method allows the bean instance to perform initialization only possible when all bean properties have been set and to throw an exception in the event of misconfiguration.

      Specified by:
        `afterPropertiesSet` in interface `InitializingBean`

    - #### prepare

          public void prepare()

      Initialize this service exporter.

    - #### invoke

          public void invoke(InputStream inputStream,
                    OutputStream outputStream)
                      throws Throwable

      Perform an invocation on the exported object.
      Parameters:
        `inputStream` - the request stream
        `outputStream` - the response stream
      Throws:
        `Throwable` - if invocation failed